<p>signup works!</p>
<form [formGroup]="registerForm"
      novalidate>
    <input matInput
           class="form-control"
           formControlName="name"
           placeholder="Nombre">
    <input matInput
           class="form-control"
           formControlName="familyName"
           placeholder="Apellido">
    <input matInput
           class="form-control"
           formControlName="email"
           placeholder="Correo">
    <input matInput
           type="password"
           class="form-control"
           formControlName="password"
           placeholder="Contraseña">
    <input matInput
           type="password"
           class="form-control"
           formControlName="confirmedPassword"
           placeholder="Repetir Contraseña">

    <button mat-raised-button
            [disabled]="!registerForm.valid"
            (click)="signUp()">
        Registrarse
    </button>
</form>